//! Data from log submission form

use std::default::Default;

use actix_extract_multipart::{File, FileData};
use serde::Deserialize;

use crate::Client;

#[derive(Debug, Deserialize)]
#[serde(default = "FormData::default")]
pub struct FormData {
	/// Client
	#[serde(rename = "submit_client")]
	pub client: Option<Client>,

	/// Title
	#[serde(rename = "submit_title")]
	pub title: Option<String>,

	/// Player
	#[serde(rename = "submit_player")]
	pub player: Option<String>,

	/// Public
	#[serde(rename = "submit_public")]
	pub public: Option<String>,

	/// Replay
	#[serde(rename = "submit_file")]
	pub replay: Option<File>,
}

impl Default for FormData {
	fn default() -> Self {
		Self {
			client: None,
			title: None,
			player: None,
			public: None,
			replay: None,
		}
	}
}
