use actix_multipart::Multipart;
use actix_web::{post, web, Error, HttpResponse};

use handlebars::Handlebars;
use serde_json::to_string_pretty;

use crate::WotLog;

#[post("/submit")]
pub async fn post(
	payload: Multipart,
	hb: web::Data<Handlebars<'_>>,
) -> Result<HttpResponse, Error> {
	let mut wotlog = WotLog::from_payload(payload).await?;
	wotlog.parse_log()?;

	//let body = hb.render("submit", &json!({})).unwrap();
	let body = format!("{}", to_string_pretty(&wotlog.json)?);

	Ok(HttpResponse::Ok().body(body))
}
